# -*- coding: utf-8 -*-

""" Endpoints class

Copyright (c) 2021, OneLogin, Inc.
All rights reserved.

Endpoints class of the OneLogin's Python SDK.

"""


class Endpoints(object):
    """

    AUX API URL endpoints for the OneLogin's Python SDK.

    """

    matrix = {
        "GET_USERS_URL": {"user": [1, 2]},
        "GET_USER_URL": {"user": [1, 2]},
        "GET_APPS_FOR_USER_URL": {"user": [1, 2]},
        "GET_ROLES_FOR_USER_URL": {"user": [1]},
        "GET_CUSTOM_ATTRIBUTES_URL": {"user": [1]},
        "CREATE_USER_URL": {"user": [1, 2]},
        "UPDATE_USER_URL": {"user": [1, 2]},
        "DELETE_USER_URL": {"user": [1, 2]},
        "ADD_ROLE_TO_USER_URL": {"user": [1]},
        "DELETE_ROLE_TO_USER_URL": {"user": [1]},
        "SET_PW_CLEARTEXT": {"user": [1]},
        "SET_PW_SALT": {"user": [1]},
        "SET_STATE_TO_USER_URL": {"user": [1]},
        "SET_CUSTOM_ATTRIBUTE_TO_USER_URL": {"user": [1]},
        "LOG_USER_OUT_URL": {"user": [1]},
        "LOCK_USER_URL": {"user": [1]},
        "GENERATE_MFA_TOKEN_URL": {"user": [1]},
        "GET_CONNECTORS_URL": {"connector": [2]},
        "GET_APPS_URL": {"app": [1, 2]},
        "CREATE_APP_URL": {"app": [2]},
        "GET_APP_URL": {"app": [2]},
        "UPDATE_APP_URL": {"app": [2]},
        "DELETE_APP_URL": {"app": [2]},
        "DELETE_APP_PARAMETER_URL": {"app": [2]},
        "GET_APP_USERS_URL": {"app": [2]},
        "GET_APP_RULES_URL": {"app_rule": [2]},
        "CREATE_APP_RULE_URL": {"app_rule": [2]},
        "GET_APP_RULE_URL": {"app_rule": [2]},
        "UPDATE_APP_RULE_URL": {"app_rule": [2]},
        "DELETE_APP_RULE_URL": {"app_rule": [2]},
        "GET_APP_CONDITIONS_URL": {"app_rule": [2]},
        "GET_APP_CONDITION_OPERATORS_URL": {"app_rule": [2]},
        "GET_APP_CONDITION_VALUES_URL": {"app_rule": [2]},
        "GET_APP_ACTIONS_URL": {"app_rule": [2]},
        "GET_APP_ACTION_VALUES_URL": {"app_rule": [2]},
        "APP_RULE_SORT_URL": {"app_rule": [2]},
        "GET_ROLES_URL": {"role": [1, 2]},
        "CREATE_ROLE_URL": {"role": [2]},
        "GET_ROLE_URL": {"role": [1, 2]},
        "UPDATE_ROLE_URL": {"role": [2]},
        "GET_ROLE_APPS_URL": {"role": [2]},
        "SET_ROLE_APPS_URL": {"role": [2]},
        "GET_ROLE_USERS_URL": {"role": [2]},
        "ADD_ROLE_USERS_URL": {"role": [2]},
        "REMOVE_ROLE_USERS_URL": {"role": [2]},
        "GET_ROLE_ADMINS_URL": {"role": [2]},
        "ADD_ROLE_ADMINS_URL": {"role": [2]},
        "REMOVE_ROLE_ADMINS_URL": {"role": [2]},
        "DELETE_ROLE_URL": {"role": [2]},
        "GET_EVENT_TYPES_URL": {"event": [1]},
        "GET_EVENTS_URL": {"event": [1]},
        "CREATE_EVENT_URL": {"event": [1]},
        "GET_EVENT_URL": {"event": [1]},
        "GET_GROUPS_URL": {"group": [1]},
        "CREATE_GROUP_URL": {"group": [1]},
        "GET_GROUP_URL": {"group": [1]},
        "SESSION_LOGIN_TOKEN_URL": {"custom_login": [1]},
        "GET_TOKEN_VERIFY_FACTOR": {"custom_login": [1]},
        "GET_SAML_ASSERTION_URL": {"assertion": [1, 2]},
        "GET_SAML_VERIFY_FACTOR": {"assertion": [1, 2]},
        "GET_FACTORS_URL": {"mfa": [1, 2]},
        "ENROLL_FACTOR_URL": {"mfa": [1, 2]},
        "VERIFY_ENROLLMENT_SMS_EMAIL_PROTECT_AUTH_URL": {"mfa": [2]},
        "VERIFY_ENROLLMENT__PROTECTPUSH_VOICE_URL": {"mfa": [2]},
        "GET_ENROLLED_FACTORS_URL": {"mfa": [1, 2]},
        "ACTIVATE_FACTOR_URL": {"mfa": [1, 2]},
        "VERIFY_FACTOR_URL": {"mfa": [1]},
        "VERIFY_FACTOR_SMS_EMAIL_PROTECT_AUTH_URL": {"mfa": [2]},
        "VERIFY_FACTOR_PROTECTPUSH_VOICE_URL": {"mfa": [2]},
        "DELETE_FACTOR_URL": {"mfa": [1, 2]},
        "GENERATE_INVITE_LINK_URL": {"invite": [1]},
        "SEND_INVITE_LINK_URL": {"invite": [1]},
        "LIST_PRIVILEGES_URL": {"privilege": [1]},
        "CREATE_PRIVILEGE_URL": {"privilege": [1]},
        "UPDATE_PRIVILEGE_URL": {"privilege": [1]},
        "GET_PRIVILEGE_URL": {"privilege": [1]},
        "DELETE_PRIVILEGE_URL": {"privilege": [1]},
        "GET_ROLES_ASSIGNED_TO_PRIVILEGE_URL": {"privilege": [1]},
        "ASSIGN_ROLES_TO_PRIVILEGE_URL": {"privilege": [1]},
        "REMOVE_ROLE_FROM_PRIVILEGE_URL": {"privilege": [1]},
        "GET_USERS_ASSIGNED_TO_PRIVILEGE_URL": {"privilege": [1]},
        "ASSIGN_USERS_TO_PRIVILEGE_URL": {"privilege": [1]},
        "REMOVE_USER_FROM_PRIVILEGE_URL": {"privilege": [1]},
        "GET_ACCOUNT_BRANDS_URL": {"branding": [2]},
        "CREATE_ACCOUNT_BRAND_URL": {"branding": [2]},
        "GET_ACCOUNT_BRAND_URL": {"branding": [2]},
        "UPDATE_ACCOUNT_BRAND_URL": {"branding": [2]},
        "DELETE_ACCOUNT_BRAND_URL": {"branding": [2]},
        "GET_APPS_BRAND_URL": {"branding": [2]},
        "GET_ACCOUNT_EMAIL_SETTINGS": {"branding": [2]},
        "UPDATE_ACCOUNT_EMAIL_SETTINGS": {"branding": [2]},
        "RESET_ACCOUNT_EMAIL_SETTINGS": {"branding": [2]},
        "GET_HOOKS_URL": {"smarthook": [2]},
        "CREATE_HOOK_URL": {"smarthook": [2]},
        "GET_HOOK_URL": {"smarthook": [2]},
        "UPDATE_HOOK_URL": {"smarthook": [2]},
        "DELETE_HOOK_URL": {"smarthook": [2]},
        "GET_HOOK_LOGS_URL": {"smarthook": [2]},
        "GET_HOOK_ENVS_URL": {"smarthook": [2]},
        "CREATE_HOOK_ENV_URL": {"smarthook": [2]},
        "GET_HOOK_ENV_URL": {"smarthook": [2]},
        "UPDATE_HOOK_ENV_URL": {"smarthook": [2]},
        "DELETE_HOOK_ENV_URL": {"smarthook": [2]},
        "SMART_MFA_VALIDATE_USER": {"smartmfa": [2]},
        "SMART_MFA_VERFY_TOKEN": {"smartmfa": [2]},
        "TRACK_EVENT_URL": {"risk": [2]},
        "GET_RISK_SCORE_URL": {"risk": [2]},
        "GET_RISK_RULES_URL": {"risk": [2]},
        "CREATE_RISK_RULE_URL": {"risk": [2]},
        "GET_RISK_RULE_URL": {"risk": [2]},
        "UPDATE_RISK_RULE_URL": {"risk": [2]},
        "DELETE_RISK_RULE_URL": {"risk": [2]},
        "GET_SCORE_INSIGHTS": {"risk": [2]},
        "GET_MAPPINGS_URL": {"user_mapping": [2]},
        "CREATE_MAPPING_URL": {"user_mapping": [2]},
        "GET_MAPPING_URL": {"user_mapping": [2]},
        "UPDATE_MAPPING_URL": {"user_mapping": [2]},
        "DELETE_MAPPING_URL": {"user_mapping": [2]},
        "DRYRUN_MAPPING_URL": {"user_mapping": [2]},
        "GET_MAPPING_CONDITIONS_URL": {"user_mapping": [2]},
        "GET_MAPPING_CONDITION_OPERATORS_URL": {"user_mapping": [2]},
        "GET_MAPPING_CONDITION_VALUES_URL": {"user_mapping": [2]},
        "GET_MAPPING_ACTIONS_URL": {"user_mapping": [2]},
        "GET_MAPPING_ACTION_VALUES_URL": {"user_mapping": [2]},
        "MAPPING_SORT_URL": {"user_mapping": [2]},
    }
